org.apache.cassandra.io.util

## Class ChecksummedSequentialWriter

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.DataOutputStreamPlus
    - - org.apache.cassandra.io.util.BufferedDataOutputStreamPlus
      - - org.apache.cassandra.io.util.SequentialWriter
        - - org.apache.cassandra.io.util.ChecksummedSequentialWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.lang.AutoCloseable, DataOutputPlus, Transactional

    public class ChecksummedSequentialWriter
    extends SequentialWriter

### Nested Class Summary

Nested Classes
`protected class` `ChecksummedSequentialWriter.TransactionalProxy`

### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.SequentialWriter

`SequentialWriter.BufferedFileWriterMark`

### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

`Transactional.AbstractTransactional`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.SequentialWriter

`bufferOffset, fchannel, lastFlushOffset, runPostFlush`

### Fields inherited from class org.apache.cassandra.io.util.BufferedDataOutputStreamPlus

`buffer, strictFlushing`

### Fields inherited from class org.apache.cassandra.io.util.DataOutputStreamPlus

`channel`

### Constructor Summary

Constructors
Constructor and Description
`ChecksummedSequentialWriter(java.io.File file, java.io.File crcPath, java.io.File digestFile, SequentialWriterOption option)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `flushData()` Override this method instead of overriding flush()
`protected SequentialWriter.TransactionalProxy` `txnProxy()`

### Methods inherited from class org.apache.cassandra.io.util.SequentialWriter

`abort, close, commit, current, doFlush, finish, getEstimatedOnDiskBytesWritten, getLastFlushOffset, getOnDiskFilePointer, getPath, hasPosition, isOpen, length, mark, position, prepareToCommit, resetAndTruncate, resetBuffer, setPostFlushListener, skipBytes, sync, syncDataOnlyInternal, syncInternal, truncate`

### Methods inherited from class org.apache.cassandra.io.util.BufferedDataOutputStreamPlus

`applyToChannel, flush, order, write, write, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUnsignedVInt, writeUTF, writeVInt`

### Methods inherited from class org.apache.cassandra.io.util.DataOutputStreamPlus

`newDefaultChannel, retrieveTemporaryBuffer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChecksummedSequentialWriter

    public ChecksummedSequentialWriter(java.io.File file,
                                       java.io.File crcPath,
                                       java.io.File digestFile,
                                       SequentialWriterOption option)

### Method Detail

#### flushData

    protected void flushData()

Description copied from class: `SequentialWriter`
Override this method instead of overriding flush()

Overrides:
  `flushData` in class `SequentialWriter`

#### txnProxy

    protected SequentialWriter.TransactionalProxy txnProxy()

Overrides:
  `txnProxy` in class `SequentialWriter`